## ESourceMailAccount

ESourceMailAccount — ESource extension for an email account

## Functions

const gchar * | e_source_mail_account_get_identity_uid ()
gchar * | e_source_mail_account_dup_identity_uid ()
void | e_source_mail_account_set_identity_uid ()

## Types and Values

#define | E_SOURCE_EXTENSION_MAIL_ACCOUNT
struct | ESourceMailAccount
struct | ESourceMailAccountClass

## Includes

    #include <libedataserver/libedataserver.h>

## Description

The ESourceMailAccount extension identifies the ESource as a mail account and also links to a default "mail identity" to use. See ESourceMailIdentity for more information about identities.

Access the extension as follows:

    1
    2
    3
    4
    5

    #include <libedataserver/libedataserver.h>

    ESourceMailAccount *extension;

    extension = e_source_get_extension (source, E_SOURCE_EXTENSION_MAIL_ACCOUNT);

## Functions

### e_source_mail_account_get_identity_uid ()

    const gchar *
    e_source_mail_account_get_identity_uid
                                   (ESourceMailAccount *extension);

Returns the “uid” of the ESource that describes the mail identity to be used for this account.

#### Parameters

extension | an ESourceMailAccount |

#### Returns

the mail identity “uid”

Since 3.6

### e_source_mail_account_dup_identity_uid ()

    gchar *
    e_source_mail_account_dup_identity_uid
                                   (ESourceMailAccount *extension);

Thread-safe variation of `e_source_mail_account_get_identity_uid()`. Use this function when accessing `extension` from multiple threads.

The returned string should be freed with `g_free()` when no longer needed.

#### Parameters

extension | an ESourceMailAccount |

#### Returns

a newly-allocated copy of “identity-uid”

Since 3.6

### e_source_mail_account_set_identity_uid ()

    void
    e_source_mail_account_set_identity_uid
                                   (ESourceMailAccount *extension,
                                    const gchar *identity_uid);

Sets the “uid” of the ESource that describes the mail identity to be used for this account.

#### Parameters

extension | an ESourceMailAccount |
identity_uid | the mail identity “uid”, or `NULL`. | [allow-none]

Since 3.6

## Types and Values

### E_SOURCE_EXTENSION_MAIL_ACCOUNT

    #define E_SOURCE_EXTENSION_MAIL_ACCOUNT "Mail Account"

Pass this extension name to `e_source_get_extension()` to access ESourceMailAccount. This is also used as a group name in key files.

Since 3.6

### struct ESourceMailAccount

    struct ESourceMailAccount {
    	ESourceBackend parent;
    	ESourceMailAccountPrivate *priv;
    };

Contains only private data that should be read and manipulated using the functions below.

Since 3.6

### struct ESourceMailAccountClass

    struct ESourceMailAccountClass {
    	ESourceBackendClass parent_class;
    };